## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/win32/registrycfg.h File Reference

Implementation for iConfigFile using the registry. More...

`#include "csextern.h"`
`#include "iutil/cfgfile.h"`
`#include "csutil/scf_implementation.h"`
`#include "csutil/strhash.h"`
`#include "csutil/array.h"`
`#include <windows.h>`
`#include "sanity.inc"`

Go to the source code of this file.

## Classes

class | csWin32RegistryConfig
| An iConfigFile, storing the settings in the Windows registry. More...
class | csWin32RegistryIterator
| Iterates over a registry key subkeys and values. More...

## Detailed Description

Implementation for iConfigFile using the registry.

Definition in file registrycfg.h.